Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileOffsetTable.ByValue

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileOffsetTable
                  com.nativelibs4java.mono.MonoSymbolFileOffsetTable.ByValue

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByValue, java.lang.Comparable<Structure<MonoSymbolFileOffsetTable,MonoSymbolFileOffsetTable.ByValue,MonoSymbolFileOffsetTable.ByReference>>

Enclosing class:
  MonoSymbolFileOffsetTable

    public static class MonoSymbolFileOffsetTable.ByValue

extends MonoSymbolFileOffsetTable
implements Structure.ByValue

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoSymbolFileOffsetTable
`MonoSymbolFileOffsetTable.ByReference, MonoSymbolFileOffsetTable.ByValue`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoSymbolFileOffsetTable
`_anonymous_scope_count, _anonymous_scope_table_offset, _anonymous_scope_table_size, _compile_unit_count, _compile_unit_table_offset, _compile_unit_table_size, _data_section_offset, _data_section_size, _is_aspx_source, _line_number_table_line_base, _line_number_table_line_range, _line_number_table_opcode_base, _method_count, _method_table_offset, _method_table_size, _source_count, _source_table_offset, _source_table_size, _total_file_size, _type_count`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileOffsetTable.ByValue()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoSymbolFileOffsetTable
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoSymbolFileOffsetTable.ByValue

    public MonoSymbolFileOffsetTable.ByValue()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD